Subject: Re: [PATCH v2 net-next 2/6] net: dsa: propagate flags down towards drivers

From: Hans Schultz <[email-masked]>
Date: Thu, 30 Mar 2023 17:34:44 +0200

On Thu, Mar 30, 2023 at 18:07, Vladimir Oltean <[email-masked]> wrote:
>
> Then, make DSA decide whether to handle the "added_by_user && !is_static"
> combination or not, based on the presence of the DSA_FDB_FLAG_DYNAMIC
> flag, which will be set in ds->supported_fdb_flags only for the mv88e6xxx
> driver.

Okay, so this will require a new function in the DSA layer that sets
which flags are supported and that the driver will call on
initialization.

Where (in the DSA layer) should such a function be placed and what
should it be called?